Bug 1120410 - Cannot connect to one of multiple Cisco wireless routers with same SSID
Summary: Cannot connect to one of multiple Cisco wireless routers with same SSID
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 20:54 UTC by Kristofer Rye
Modified: 2018-07-16 11:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-29 00:08:50 UTC
kristofer.rye: needinfo-


Attachments (Terms of Use)

Description Kristofer Rye 2014-07-16 20:54:45 UTC
Description of problem:

At my school, we have full coverage by multiple wireless broadcast stations throughout the building. A student is expected to connect to the "-guest" network, which is unsecured by any secrets. I am unable to connect to any of those wireless broadcast stations, all of which have the same SSID "<school corporation's abbreviation>-guest".

Version-Release number of selected component (if applicable):

0.9.9.0-41.git20131003.fc20 (Output of "sudo NetworkManager --version")

How reproducible:

I am using a Broadcom Corporation BCM4313 Wireless Network Adapter (rev 01) running on a HP Pavilion dv6z-6c00 laptop.

Steps to Reproduce:
1. Disconnect from any wireless networks.
2. Attempt to connect to one of the broadcast stations using NM-applet or any other interface to NetworkManager

Actual results:

NetworkManager tries to connect to the network, sometimes claiming success but rapidly disconnecting after that.

Expected results:

NetworkManager successfully connects to the closest network with the SSID (with the highest signal) and maintains a connection with it until it is disconnected or out of range, then, if still commanded to connect to the same SSID, finds the closest one.

Additional info:

I would be glad to provide any extra information or logs, not sure what to attach.

Comment 1 Jirka Klimes 2014-07-18 07:41:05 UTC
Does your Wi-Fi work at general, for other networks (SSIDs)?

Please, as a start, would you attach this:
* NM logs when attempting top connect
  in /var/log/messages file or using journal
  # journalctl -u NetworkManager
* /var/log/wpa_supplicant.log or journalctl -u wpa_supplicant
* nmcli dev wifi

Comment 2 Kristofer Rye 2014-12-29 00:08:50 UTC
I am no longer able to provide information on this request. It appears that changes that have occurred have allowed things to work again.

Comment 3 Kristofer Rye 2018-07-16 11:16:59 UTC
I am no longer able to provide information on this request—drivers must have been working.  (I am only commenting here to clear a needinfo request I've had active for the last 4 years.)


Note You need to log in before you can comment on or make changes to this bug.